Bug 195799 - RFE: Please update squashfs-tools to 3.0 release
RFE: Please update squashfs-tools to 3.0 release
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squashfs-tools (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
http://squashfs.sourceforge.net/
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-06-17 17:42 EDT by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 11:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2006-06-17 17:42:41 EDT
On 15th March 2006 squashfs-tools 3.0 was released.

Changes in 3.0 version:

1. Filesystems are no longer limited to 4 GB. In theory 2^64 or 4 exabytes is
now supported.

2. Files are no longer limited to 4 GB. In theory the maximum file size is 4
exabytes.

3. Metadata (inode table and directory tables) are no longer restricted to 16
Mbytes.

4. Hardlinks are now suppported.

5. Nlink counts are now supported.

6. Readdir now returns '.' and '..' entries.

7. Special support for files larger than 256 MB has been added to the Squashfs
kernel code for faster read access.

8. Inode numbers are now stored within the inode rather than being computed from
inode location on disk (this is not so much an improvement, but a change forced
by the previously listed improvements).

There is a new Unsquashfs utility (in squashfs-tools) than can be used to
decompress a filesystem without mounting it.

Worth updating?
Comment 1 Jeremy Katz 2006-06-19 17:20:30 EDT
Probably worth updating.  I'll try to look later this week
Comment 2 Mark McLoughlin 2006-07-19 11:11:56 EDT
* Fri Jun 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0-1
- update to 3.0

Note You need to log in before you can comment on or make changes to this bug.